Package tigase.server.rtbl

# Class RTBLEventModule

java.lang.Object
tigase.component.modules.AbstractModule
tigase.server.rtbl.RTBLEventModule

All Implemented Interfaces:
  `Module`

@Bean(name="rtblEventModule", parent=RTBLComponent.class, active=true) public class RTBLEventModule extends AbstractModule

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Criteria`
  `criteria`

  ### Fields inherited from class tigase.component.modules.AbstractModule

  `eventBus, log, writer`

  ### Fields inherited from interface tigase.component.modules.Module

  `EMPTY_FEATURES`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RTBLEventModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Criteria`
  `getModuleCriteria()`
  Returns critera used by Component to select module to handle incoming stanza.
  `void`
  `process(Packet packet)`
  Process incoming stanza.

  ### Methods inherited from class tigase.component.modules.AbstractModule

  `fireEvent, getEventBus, getWriter, setEventBus, setWriter, write, write`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.component.modules.Module

  `canHandle, getFeatures`

- ## Field Details

  - ### criteria

    public Criteria criteria

- ## Constructor Details

  - ### RTBLEventModule

    public RTBLEventModule()

- ## Method Details

  - ### getModuleCriteria

    public Criteria getModuleCriteria()
    Description copied from interface: `Module`
    Returns critera used by Component to select module to handle incoming stanza.
    Returns:
      criteria of selecting module.

  - ### process

    public void process(Packet packet) throws ComponentException, TigaseStringprepException
    Description copied from interface: `Module`
    Process incoming stanza.
    Parameters:
      `packet` - received `stanza`.
    Throws:
      `ComponentException` - if stanza can't be processed correctly. ComponentException is converted to error stanza and returned to stanza sender.
      `TigaseStringprepException` - if there was an error during stringprep processing.